| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Static Public Member Functions

# IG::Num::Func Class Reference

Creation of a number of standard real mathematical functions in one dimension. Conttains subclasses for specific functions ans corresponding static creator methods. Creator methods come in 3 different version: for reference form of the function (e.g. just Exp[x]), for form shifted and stretched in x direction, and general form shifted and stretched in both directions. More...

List of all members.

## Classes
class | Constant
| A RealFunction class representing a constant function. More...
class | Cubic
| Cubic function, f(x) = a3*x*x*x + a2*x*x + a1*x + a0. Specific properties: Zero - returns a zero. Zero1 - returns the fierst zero. Zero2 - returns the second zero. Zero3 - returns the third zero. NumZeros - returns number of zeros (0, 1 or 3). HasZero - either the function has a zero or not. Min - returns function's strict minimum. Max - returns function's strict maximum. More...
class | Exp
| A RealFunction class representing exponential function. More...
class | Identity
| A RealFunction class representing identity (or linear) function. More...
class | Linear
| Linear function, f(x) = a1*x + a0. Specific properties: Zero - returns a zero. HasZero - either the function has a zero or not. More...
class | PenaltyPower
| Penalty function consisting of sticked together constant zero-valued function and a power function with positive integer exponent. Formula: hh*((x - xx0)/dd)^pp where: dd: Characteristic barrier length. Length of the interval on which function grows from 0 to characteristic height. hh: Characteristic barrier height. Value of the function at transition point plus characteristic length. xx0: Transition point where function starts to be non-zero. pp: Power. Must be greater than 0; for 2 first derivative is continuous in transition points, for 3 second derivative is also continuous, etc. More...
class | Quadratic
| Quadratic function, f(x) = a2*x*x + a1*x + a0. Specific properties: Zero - returns a zero. Zero1 - returns the fierst zero. Zero2 - returns the second zero. NumZeros - 0, 1 or 2, returns number of zeros. HasZero - either the function has a zero or not. More...
class | ReciprocalPower
| A RealFunction class representing a reciprocal power function. More...
class | WeightGauss
| A RealFunction class representing bell like polynomial weighting function with finite support, based on Gaussian function (exp(-x^2)). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1. More...
class | WeightPol3
| A RealFunction class representing bell like polynomial weighting function with finite support. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1. More...
class | WeightPol4
| A RealFunction class representing bell like polynomial weighting function with finite support, based on 4th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1. More...
class | WeightPol5
| A RealFunction class representing bell like polynomial weighting function with finite support, based on 5th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1. More...
class | WeightPol7
| A RealFunction class representing bell like polynomial weighting function with finite support, based on 7th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1. More...
class | WeightReciprocalPower
| A RealFunction class representing bell like polynomial weighting function with finite support, based on reciprocal power function (1/(1+|x|^p) where p>0 is an integer power). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1. More...
## Static Public Member Functions
static RealFunction | GetExp (double Kx, double Sx, double Ky, double Sy)
| Creates and returns a new real exponential function object.
static RealFunction | GetExp (double Kx, double Sx)
| Creates and returns a new real exponential function object.
static RealFunction | GetExp ()
| Creates and returns a new real exponential function object.
static RealFunction | GetReciprocal (double Kx, double Sx, double Ky, double Sy)
| Creates and returns a new real reciprocal power function object.
static RealFunction | GetReciprocal (double Kx, double Sx)
| Creates and returns a new real reciprocal power function object.
static RealFunction | GetReciprocal ()
| Creates and returns a new real reciprocal power function object.
static RealFunction | GetReciprocalPower (int power, double Kx, double Sx, double Ky, double Sy)
| Creates and returns a new real reciprocal power function object.
static RealFunction | GetReciprocalPower (int power, double Kx, double Sx)
| Creates and returns a new real reciprocal power function object.
static RealFunction | GetReciprocalPower (int power)
| Creates and returns a new real reciprocal power function object.
static RealFunction | GetIdentity (double Kx, double Sx, double Ky, double Sy)
| Creates and returns a new real identity (or linear) function object.
static RealFunction | GetIdentity (double Kx, double Sx)
| Creates and returns a new real identity (or linear) function object.
static RealFunction | GetIdentity ()
| Creates and returns a new real identity (or linear) function object.
static RealFunction | GetConstant (double constantValue, double Kx, double Sx, double Ky, double Sy)
| Creates and returns a new real constant function object.
static RealFunction | GetConstant (double constantValue, double Kx, double Sx)
| Creates and returns a new constant function object.
static RealFunction | GetConstant (double constantValue)
| Creates and returns a new real identity (or linear) function object.
static Linear | GetLinearInterpolation (double x1, double y1, double x2, double y2)
| Creates and returns linear interpolation function with specified two values.
static Linear | GetLinearInterpolation (double x1, double y1, double d1)
| Creates and returns linear interpolation function with specified value and derivative.
static Linear | GetLinear (double a1, double a0)
| Creates and returns a new linear function with the specified coefficient.
static Quadratic | GetQuadraticInterpolation (double x1, double y1, double x2, double y2, double x3, double y3)
| Creates and returns quadratic interpolation function with specified two values.
static Quadratic | GetQuadraticInterpolation (double x1, double y1, double d1, double x2, double y2)
| Creates and returns quadratic interpolation function with specified two function values and one derivative.
static Quadratic | GetQuadraticInterpolation2der (double x1, double y1, double d1, double x2, double y2, double d2)
| Creates and returns quadratic interpolation function with specified two function values and two approximate derivatives. The returned interpolatinon is an average of interpolations obtained by taking into account one or another function.
static Quadratic | GetQuadratic (double a2, double a1, double a0)
| Creates and returns a new quadratic function with the specified coefficient.
static Cubic | GetCubicInterpolation (double x1, double y1, double x2, double y2, double x3, double y3, double x4, double y4)
| Creates and returns cubic interpolation function with specified two values.
static Cubic | GetCubicInterpolation (double x1, double y1, double d1, double x2, double y2, double d2)
| Creates and returns cubic interpolation function with specified two function values and one derivative.
static Cubic | GetCubic (double a3, double a2, double a1, double a0)
| Creates and returns a new cubic function with the specified coefficient.
static PenaltyPower | GetPenaltyPower (double barrierLength, double barrierHeght, int power)
| Creates and returns a new power penalty function consisting of sticked together constant zero-valued function and a power function with positive integer exponent. Formula: hh*((x - xx0)/dd)^pp where: dd: Characteristic barrier length. Length of the interval on which function grows from 0 to characteristic height. hh: Characteristic barrier height. Value of the function at transition point plus characteristic length. xx0: Transition point where function starts to be non-zero. pp: Power. Must be greater than 0; for 2 first derivative is continuous in transition points, for 3 second derivative is also continuous, etc.
static PenaltyPower | GetPenaltyPower (double barrierLength, double barrierHeght, double zeroEnd, int power)
| Creates and returns a new power penalty function consisting of sticked together constant zero-valued function and a power function with positive integer exponent. Formula: hh*((x - xx0)/dd)^pp where: dd: Characteristic barrier length. Length of the interval on which function grows from 0 to characteristic height. hh: Characteristic barrier height. Value of the function at transition point plus characteristic length. xx0: Transition point where function starts to be non-zero. pp: Power. Must be greater than 0; for 2 first derivative is continuous in transition points, for 3 second derivative is also continuous, etc.
static RealFunction | GetWeightGauss (double Kx, double Sx, double Ky, double Sy)
| Creates and returns a new real polynomial weighting function object based on Gaussian function (exp(-x^2). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1.
static RealFunction | GetWeightGauss (double Kx, double Sx)
| Creates and returns a new real polynomial weighting function object based on Gaussian function (exp(-x^2). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1.
static RealFunction | GetWeightGauss ()
| Creates and returns a new real polynomial weighting function object based on Gaussian function (exp(-x^2). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1.
static RealFunction | GetWeightReciprocalPower (int power, double Kx, double Sx, double Ky, double Sy)
| Creates and returns a new real polynomial weighting function object based on reciprocal power function (1/(1+|x|^p)). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1.
static RealFunction | GetWeightReciprocalPower (int power, double Kx, double Sx)
| Creates and returns a new real polynomial weighting function object based on reciprocal power function (1/(1+|x|^p)). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1.
static RealFunction | GetWeightReciprocalPower (int power)
| Creates and returns a new real polynomial weighting function object based on reciprocal power function (1/(1+|x|^p)). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1.
static RealFunction | GetWeightPol3 (double Kx, double Sx, double Ky, double Sy)
| Creates and returns a new real polynomial weighting function object. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.
static RealFunction | GetWeightPol3 (double Kx, double Sx)
| Creates and returns a new real polynomial weighting function object. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.
static RealFunction | GetWeightPol3 ()
| Creates and returns a new real polynomial weighting function object. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.
static RealFunction | GetWeightPol4 (double Kx, double Sx, double Ky, double Sy)
| Creates and returns a new real polynomial weighting function object based on 4th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.
static RealFunction | GetWeightPol4 (double Kx, double Sx)
| Creates and returns a new real polynomial weighting function object based on 4th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.
static RealFunction | GetWeightPol4 ()
| Creates and returns a new real polynomial weighting function object based on 4th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.
static RealFunction | GetWeightPol5 (double Kx, double Sx, double Ky, double Sy)
| Creates and returns a new real polynomial weighting function object based on 5th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.
static RealFunction | GetWeightPol5 (double Kx, double Sx)
| Creates and returns a new real polynomial weighting function object based on 5th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.
static RealFunction | GetWeightPol5 ()
| Creates and returns a new real polynomial weighting function object based on 5th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.
static RealFunction | GetWeightPol7 (double Kx, double Sx, double Ky, double Sy)
| Creates and returns a new real polynomial weighting function object based on 7th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.
static RealFunction | GetWeightPol7 (double Kx, double Sx)
| Creates and returns a new real polynomial weighting function object based on 7th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.
static RealFunction | GetWeightPol7 ()
| Creates and returns a new real polynomial weighting function object based on 7th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.

## Detailed Description

Creation of a number of standard real mathematical functions in one dimension. Conttains subclasses for specific functions ans corresponding static creator methods. Creator methods come in 3 different version: for reference form of the function (e.g. just Exp[x]), for form shifted and stretched in x direction, and general form shifted and stretched in both directions.

Contains subclasses that represent various commonly used functions.

Various commonly used real functions of one variable.

$A Igor xx;

## Member Function Documentation

static RealFunction IG::Num::Func::GetExp | ( | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline, static]`

Creates and returns a new real exponential function object.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.
  Ky | Scaling factor for dependent variable.
  Sy | Shift in dependent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetExp | ( | double | Kx,
|  | double | Sx
| ) |  | `[inline, static]`

Creates and returns a new real exponential function object.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetExp | ( |  | ) | `[inline, static]`

Creates and returns a new real exponential function object.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetReciprocal | ( | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline, static]`

Creates and returns a new real reciprocal power function object.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.
  Ky | Scaling factor for dependent variable.
  Sy | Shift in dependent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetReciprocal | ( | double | Kx,
|  | double | Sx
| ) |  | `[inline, static]`

Creates and returns a new real reciprocal power function object.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetReciprocal | ( |  | ) | `[inline, static]`

Creates and returns a new real reciprocal power function object.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetReciprocalPower | ( | int | power,
|  | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline, static]`

Creates and returns a new real reciprocal power function object.

Parameters:

  power | Power p. Reference function is f(x)=1/(x^p).
  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.
  Ky | Scaling factor for dependent variable.
  Sy | Shift in dependent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetReciprocalPower | ( | int | power,
|  | double | Kx,
|  | double | Sx
| ) |  | `[inline, static]`

Creates and returns a new real reciprocal power function object.

Parameters:

  power | Power p. Reference function is f(x)=1/(x^p).
  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetReciprocalPower | ( | int | power | ) | `[inline, static]`

Creates and returns a new real reciprocal power function object.

Parameters:

  power | Power p. Reference function is f(x)=1/(x^p).

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetIdentity | ( | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline, static]`

Creates and returns a new real identity (or linear) function object.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.
  Ky | Scaling factor for dependent variable.
  Sy | Shift in dependent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetIdentity | ( | double | Kx,
|  | double | Sx
| ) |  | `[inline, static]`

Creates and returns a new real identity (or linear) function object.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetIdentity | ( |  | ) | `[inline, static]`

Creates and returns a new real identity (or linear) function object.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetConstant | ( | double | constantValue,
|  | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline, static]`

Creates and returns a new real constant function object.

Parameters:

  constantValue | Value of the constant function.
  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.
  Ky | Scaling factor for dependent variable.
  Sy | Shift in dependent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetConstant | ( | double | constantValue,
|  | double | Kx,
|  | double | Sx
| ) |  | `[inline, static]`

Creates and returns a new constant function object.

Parameters:

  constantValue | Value of the constant function.
  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetConstant | ( | double | constantValue | ) | `[inline, static]`

Creates and returns a new real identity (or linear) function object.

Parameters:

  constantValue | Value of the constant function.

Returns:
  RealFunction object.

static Linear IG::Num::Func::GetLinearInterpolation | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  | `[inline, static]`

Creates and returns linear interpolation function with specified two values.

Parameters:

  x1 | Abscissa of the first point.
  y1 | Value at the first point.
  x2 | Abscissa of the second point.
  y2 | Value at the second point.

static Linear IG::Num::Func::GetLinearInterpolation | ( | double | x1,
|  | double | y1,
|  | double | d1
| ) |  | `[inline, static]`

Creates and returns linear interpolation function with specified value and derivative.

Parameters:

  x1 | Abscissa of the first point.
  y1 | Value at the first point.
  d1 | Derivative at the first point.

static Linear IG::Num::Func::GetLinear | ( | double | a1,
|  | double | a0
| ) |  | `[inline, static]`

Creates and returns a new linear function with the specified coefficient.

Parameters:

  a1 | Leading coefficient - coefficient of the linear term.
  a0 | Constant term coefficient.

static Quadratic IG::Num::Func::GetQuadraticInterpolation | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | x3,
|  | double | y3
| ) |  | `[inline, static]`

Creates and returns quadratic interpolation function with specified two values.

Parameters:

  x1 | Abscissa of the first point.
  y1 | Value at the first point.
  x2 | Abscissa of the second point.
  y2 | Value at the second point.

static Quadratic IG::Num::Func::GetQuadraticInterpolation | ( | double | x1,
|  | double | y1,
|  | double | d1,
|  | double | x2,
|  | double | y2
| ) |  | `[inline, static]`

Creates and returns quadratic interpolation function with specified two function values and one derivative.

Parameters:

  x1 | Abscissa of the first point.
  y1 | Value at the first point.
  d1 | Derivative at the first point.
  x2 | Abscissa of the second point.
  y2 | Value at the second point.

static Quadratic IG::Num::Func::GetQuadraticInterpolation2der | ( | double | x1,
|  | double | y1,
|  | double | d1,
|  | double | x2,
|  | double | y2,
|  | double | d2
| ) |  | `[inline, static]`

Creates and returns quadratic interpolation function with specified two function values and two approximate derivatives. The returned interpolatinon is an average of interpolations obtained by taking into account one or another function.

Parameters:

  x1 | Abscissa of the first point.
  y1 | Value at the first point.
  d1 | Derivative (approximate) in the first point.
  x2 | Abscissa of the second point.
  y2 | Value at the second point.
  d2 | Derivative (approximate) in the second point/

static Quadratic IG::Num::Func::GetQuadratic | ( | double | a2,
|  | double | a1,
|  | double | a0
| ) |  | `[inline, static]`

Creates and returns a new quadratic function with the specified coefficient.

Parameters:

  a2 | Leading coefficient - coefficient of the quadratic term.
  a1 | Linear term coefficient.
  a0 | Constant term coefficient.

static Cubic IG::Num::Func::GetCubicInterpolation | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2,
|  | double | x3,
|  | double | y3,
|  | double | x4,
|  | double | y4
| ) |  | `[inline, static]`

Creates and returns cubic interpolation function with specified two values.

Parameters:

  x1 | Abscissa of the first point.
  y1 | Value at the first point.
  x2 | Abscissa of the second point.
  y2 | Value at the second point.
  x3 | Abscissa of the third point.
  y3 | Value at the third point.

static Cubic IG::Num::Func::GetCubicInterpolation | ( | double | x1,
|  | double | y1,
|  | double | d1,
|  | double | x2,
|  | double | y2,
|  | double | d2
| ) |  | `[inline, static]`

Creates and returns cubic interpolation function with specified two function values and one derivative.

Parameters:

  x1 | Abscissa of the first point.
  y1 | Value at the first point.
  d1 | Derivative at the first point.
  x2 | Abscissa of the second point.
  y2 | Value at the second point.
  d2 | Derivative in the second point.

static Cubic IG::Num::Func::GetCubic | ( | double | a3,
|  | double | a2,
|  | double | a1,
|  | double | a0
| ) |  | `[inline, static]`

Creates and returns a new cubic function with the specified coefficient.

Parameters:

  a3 | Leading coefficient - coefficient of the cubic term.
  a2 | Coefficient of the quadratic term.
  a1 | Linear term coefficient.
  a0 | Constant term coefficient.

static PenaltyPower IG::Num::Func::GetPenaltyPower | ( | double | barrierLength,
|  | double | barrierHeght,
|  | int | power
| ) |  | `[inline, static]`

Creates and returns a new power penalty function consisting of sticked together constant zero-valued function and a power function with positive integer exponent. Formula: hh*((x - xx0)/dd)^pp where: dd: Characteristic barrier length. Length of the interval on which function grows from 0 to characteristic height. hh: Characteristic barrier height. Value of the function at transition point plus characteristic length. xx0: Transition point where function starts to be non-zero. pp: Power. Must be greater than 0; for 2 first derivative is continuous in transition points, for 3 second derivative is also continuous, etc.

Parameters:

  barrierLength | Characteristic barrier length. Length of the interval on which function grows from 0 to characteristic height.
  barrierHeght | Characteristic barrier height. Value of the function at transition point plus characteristic length.
  power | Power. Must be greater than 0, for 2 first derivative is continuous in transition points, for 3 second derivative is also continuous, etc.

static PenaltyPower IG::Num::Func::GetPenaltyPower | ( | double | barrierLength,
|  | double | barrierHeght,
|  | double | zeroEnd,
|  | int | power
| ) |  | `[inline, static]`

Creates and returns a new power penalty function consisting of sticked together constant zero-valued function and a power function with positive integer exponent. Formula: hh*((x - xx0)/dd)^pp where: dd: Characteristic barrier length. Length of the interval on which function grows from 0 to characteristic height. hh: Characteristic barrier height. Value of the function at transition point plus characteristic length. xx0: Transition point where function starts to be non-zero. pp: Power. Must be greater than 0; for 2 first derivative is continuous in transition points, for 3 second derivative is also continuous, etc.

Parameters:

  barrierLength | Characteristic barrier length. Length of the interval on which function grows from 0 to characteristic height.
  barrierHeght | Characteristic barrier height. Value of the function at transition point plus characteristic length.
  zeroEnd | Transition point where function starts to be non-zero.
  power | Power. Must be greater than 0, for 2 first derivative is continuous in transition points, for 3 second derivative is also continuous, etc.

static RealFunction IG::Num::Func::GetWeightGauss | ( | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline, static]`

Creates and returns a new real polynomial weighting function object based on Gaussian function (exp(-x^2). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.
  Ky | Scaling factor for dependent variable.
  Sy | Shift in dependent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightGauss | ( | double | Kx,
|  | double | Sx
| ) |  | `[inline, static]`

Creates and returns a new real polynomial weighting function object based on Gaussian function (exp(-x^2). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightGauss | ( |  | ) | `[inline, static]`

Creates and returns a new real polynomial weighting function object based on Gaussian function (exp(-x^2). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightReciprocalPower | ( | int | power,
|  | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline, static]`

Creates and returns a new real polynomial weighting function object based on reciprocal power function (1/(1+|x|^p)). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.
  Ky | Scaling factor for dependent variable.
  Sy | Shift in dependent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightReciprocalPower | ( | int | power,
|  | double | Kx,
|  | double | Sx
| ) |  | `[inline, static]`

Creates and returns a new real polynomial weighting function object based on reciprocal power function (1/(1+|x|^p)). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightReciprocalPower | ( | int | power | ) | `[inline, static]`

Creates and returns a new real polynomial weighting function object based on reciprocal power function (1/(1+|x|^p)). Reference function: bell like function with infinite support, 0 < |f(x)| <=1 f(0) = 1.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightPol3 | ( | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline, static]`

Creates and returns a new real polynomial weighting function object. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.
  Ky | Scaling factor for dependent variable.
  Sy | Shift in dependent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightPol3 | ( | double | Kx,
|  | double | Sx
| ) |  | `[inline, static]`

Creates and returns a new real polynomial weighting function object. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightPol3 | ( |  | ) | `[inline, static]`

Creates and returns a new real polynomial weighting function object. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightPol4 | ( | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline, static]`

Creates and returns a new real polynomial weighting function object based on 4th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.
  Ky | Scaling factor for dependent variable.
  Sy | Shift in dependent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightPol4 | ( | double | Kx,
|  | double | Sx
| ) |  | `[inline, static]`

Creates and returns a new real polynomial weighting function object based on 4th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightPol4 | ( |  | ) | `[inline, static]`

Creates and returns a new real polynomial weighting function object based on 4th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightPol5 | ( | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline, static]`

Creates and returns a new real polynomial weighting function object based on 5th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.
  Ky | Scaling factor for dependent variable.
  Sy | Shift in dependent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightPol5 | ( | double | Kx,
|  | double | Sx
| ) |  | `[inline, static]`

Creates and returns a new real polynomial weighting function object based on 5th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightPol5 | ( |  | ) | `[inline, static]`

Creates and returns a new real polynomial weighting function object based on 5th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightPol7 | ( | double | Kx,
|  | double | Sx,
|  | double | Ky,
|  | double | Sy
| ) |  | `[inline, static]`

Creates and returns a new real polynomial weighting function object based on 7th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.
  Ky | Scaling factor for dependent variable.
  Sy | Shift in dependent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightPol7 | ( | double | Kx,
|  | double | Sx
| ) |  | `[inline, static]`

Creates and returns a new real polynomial weighting function object based on 7th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.

Parameters:

  Kx | Scaling factor for independent variable.
  Sx | Shift in independent variable.

Returns:
  RealFunction object.

static RealFunction IG::Num::Func::GetWeightPol7 | ( |  | ) | `[inline, static]`

Creates and returns a new real polynomial weighting function object based on 7th order polynomial. Reference function: bell like function with final support, 0 <= |f(x)| <=1 f(x<-1) = f(x>1) = 0 f(0) = 1.

Returns:
  RealFunction object.

The documentation for this class was generated from the following files:

- FunctionRealBasic.cs
- FunctionRealInterpolation.cs
- FunctionRealPenalty.cs
- FunctionRealWeight.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events